/*#202020     Nav y footer*/
/*#DFDFDF     Fondo */
/*#1C455E     Fondo secundario*/
/*#16AF1F     GetQuote */
/*#FFFFFF     Card  */
*{box-sizing: border-box;}
html,body{
    display: flex;
    flex-direction: column;
    margin: 0;
    font-family: Verdana,sans-serif;
    line-height: 1.5;
    background-color: #DFDFDF;
    color: black;
}
h1{
  font-size: 2.2rem;
  font-style: normal;
  font-weight: normal;
  line-height: 1.3;
  text-align: center;
    
}
h2{
  Font-size: 1.5rem;    
  font-weight: normal;
  margin-block-end: 0.83em;
  margin-block-start: 0.83em;
}
h3{
    display: block;
    font-size: 1.17em;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    unicode-bidi: isolate;
}
hr{
    height: 1px;
    background-color: #FFFFFF;
    width: 100%;
    border: none;
    Opacity: 1;
}
nav{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: #202020;
    width: 100%;
    height: 75px;
    padding: 0px 10%;
    box-sizing: border-box;
    letter-spacing: 2px;
    /* box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12); */
    position: fixed;
    top: 0;
    z-index: 3;
   }
#logo{
  display: flex;
  flex-direction: row;
  padding: 0px 0px;
}
#logo img{
  /* margin-top: 0px; */
  vertical-align: middle;
}
#logo a{
  text-decoration: none;
  color: black;
}
ul {
  list-style-type: none;
  padding: 0;
  margin-top: 13px;
  display: flex;
}
ul li a {
  display: block;
  color: #FFFFFF;
  padding: 10px 15px;
  text-decoration: none;
}
ul li a:hover {
  background-color: #3a3939;
  border-radius: 10px;
}
.active{
  background-color: #16AF1F;
  color: #FFFFFF;
  border: 1px solid #202020;
  box-shadow: 6px 6px 20px -1px #070707, -6px -6px 20px -1px #2e2d2d;
  border-radius: 15px;
  font-weight: bold;
  padding: 10px 4px 10px 10px;
}
.flecha{
  font-size: 15px;
  padding: 8px 15px;
  background-color: #FFFFFF;
  color: #7EA343;
  border-radius: 10px;
}
.flecha img{
  vertical-align: baseline;
}
.btn-menu{
  background-color: #00000000;
  border-radius: 10px;
  border: 1px solid #DFDFDF;
  padding: 1px 12px;
  font-size: 23px;
  font-weight: bold;
  color:#DFDFDF;
  text-decoration: none;
}
.btn-menu:hover{
  background-color: #3a3939;
  cursor: pointer;
}
.sidenav{
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 3;
    top: 0;
    left: 0;
    background-color: rgba(41, 41, 41, 0.95);
    overflow-x: hidden;
    transition: 0.3s;
    padding-top: 15px;
    text-align: center;
}
.sidenav a{
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 22px;
    color: white;
    display: block;
    transition: 0.3s;
}
.sidenav a:hover{
    color: #f1f1f1;
}
.sidenav .closebtn{
    text-align: right;
    font-size: 50px;
    margin-right: 30px;
}
header{
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 94vh;
  justify-content: flex-start;
  background-image: linear-gradient(to bottom, #202020 20%, #5B5B5B 50%, #DFDFDF 100%);
}
header>img{
  width: 35%;
  border-radius: 30px;
}
.text1Header>h1{
  font-weight: bold;
  color: #ffffff;
  margin-top: 0;
}
.text1Header p{
  color: #fFfFfF;
  text-align: justify;
}
.btn-header{
  width: 100%;
  border-radius: 15px;
  padding: 10px;
  margin-bottom: 20px;
  color: #000000;
  font-size: 1.4em;
  font-weight: bold;
  cursor: pointer;
}
.btn-service{
  background-color:#1a1a1a00;
  border: solid 2px #ffffff;
}
.btn-get-quote{
  background-color: #16AF1F;
  border: solid 2px #16AF1F;
  color: #ffffff;
}
.btn-service:hover{
  background-color: #28648E;
  cursor: pointer;
}
#card-conteiner{
    display: flex;
    flex-wrap: wrap;
}
.card{
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #000000 ;
    background-color: #ffffff;
    margin: 4vh auto 4vh auto;
    border-radius: 20px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-style: none;
    animation: appear  linear;
    animation-timeline:view();
    animation-range: entry 0% cover 40%;
}
.imageCard{
overflow: hidden;
height: 60%;
margin: 10px;
border-radius: 5%;
}
.descriptionCard{
    width: 100%;
    height: 40%;
    border-radius: 5%;
    line-height: 1.25;
    overflow-y:hidden;
}
.descriptionCard h2{
    font-size: 1.7em;
    font-weight: bold;
    text-align: center;
    color: #626262;
    padding: 0 2%;
    text-transform: uppercase;
    margin: 15px 0 0 0;
}
.descriptionCard p{
    padding: 0 15px;
    text-align: start;
}
.card button{
  width: 90%;
  border-radius: 12px;
  padding: 10px;
  margin: 0 15px 15px 15px;
  background-color:#B1B1B1;
  color: #FFFFFF;
  border: solid 1px #DFDFDF;
  font-size: 1.3rem;
}
.card button:hover{
background-color: rgb(240, 240, 240);
  color: rgb(173, 173, 173);
  cursor: pointer;
}
#reviews{
  padding: 5% 10%;
  background-color:#1C455E;
  color: #ffffff;
}
.about-container{
  display: flex;
}
#location{
  padding: 10%;
}
.location-container{
  display: flex;
  flex-wrap: wrap;
}
.text-conteiner{
  display: flex;
  flex-direction: column;
  width: 50%;
}
.areas{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: start;
  margin-bottom: 20px;
}
.area{
  background-color: #ffffff;
  color: #292929;
  padding: 10px 15px;
  border-radius: 10px;
  margin: 5px;
}
.map-container{
  display: flex;
  width: 50%;
}
#pay-method{
  color: #ffffff;
  background-color: #1C455E;
  padding: 0px 20px;
  text-align: center;
}
section{
  margin-bottom: 3%;
}
.floating-call-button {
    position: fixed;
    bottom: 20px;
    right: 10%; /* Match the right padding of the nav */
    width: 65px; /* Increased by 15px */
    height: 65px; /* Increased by 15px */
    background-color: #16AF1F;
    color: rgb(0, 0, 0);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-decoration: none;
    font-size: 25px; /* Adjust font size for larger button */
    z-index: 1000;
}

.floating-call-button:hover {
    background-color: #3a3939;
}
footer{
  color: #ffffff;
  background-color: #202020;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
  padding:10%;
}
footer>div{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5%;
}
.contact,.schedule h2{
  color: #16AF1F;
  font-size: 1.9rem;
}
footer .fa{
  padding: 15px;
  font-size: 30px;
  width: 60px;
  text-align: center;
  text-decoration: none;
  margin: 0 16px;
  border-radius: 50%;
}
.fa:hover {
    opacity: 0.7;
}
.fa-facebook, .fa-tiktok, .fa-instagram{
    background-color: #ffffff;
    color: #292929;
  }
.contact p{
  text-align: justify;
}
footer a{
  color: #16AF1F;
  text-decoration: none;
}
 .container-fluid{
    margin: 120px 0 100px 0;
  }
.form-detail{
  font-size: 0.9em;
  font-style: italic;
  color: rgb(170, 170, 170);
}
#floatingTextarea{
  height: 15vh;
  background-color: white;
  }
/* Floating Call Button */

/* Animacion para las tarjetas de servicios. */
@keyframes appear
{
    from{
        opacity: 0;
        scale: 0.5;
    }
    to{
        opacity: 1;
        scale: 1;
    }
}  
/* Extra small devices (phones, 576px and down) */
@media (max-width: 576px) {
  html body{
    font-size: 15px;
  }
 p{
    font-size: 1.27rem;
  } 
 nav{
    padding: 0 3%;
    justify-content:space-between;

  }
  #logo{
      margin-left: 60px;
  }
  .hidden{
    display: none;
  }
  header{
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 150px 3% 0 3%;
  align-items: center;
  }
  .text1Header{
    display:flex;
    flex-direction: column;
    align-items: center;
  }
  header h1{
    font-size: 3rem;
    margin-bottom: 0px;
  }
  .a-getQuote{
  font-size: 1.1rem;
  font-weight: bold;
 }
   #services{
    padding: 0 4%;
  } 
  .card{
    width: 100%;
    margin: 9% 0;
    height: 600px;
    animation: appear  linear;
    animation-timeline:view();
    animation-range: entry 0% cover 40%;
  }
 #reviews, #location,footer{
  padding: 10% 3%;
}
  .about-container{
    flex-direction: column-reverse;
  }
  .about-container img{
    width: 100%;
  }
  .text-conteiner, .map-container{
    width: 100%;
    font-size: 1.3em;
    text-align: justify;
  }
  .contact{
    width: 100%;
  }
  .footer-content{
    flex-direction: column;
    align-items: center;
  }
  .container-fluid{
    margin: 120px 0 100px 0;
  }
  #sectionGetQuote> div{
    margin-bottom: 50px;
  }
  #floatingTextarea{
  height: 10vh;
  }
    .floating-call-button {
    right: 3%; /* Match nav padding for small devices */
  }
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
  .floating-call-button {
    right: 5%; /* Adjust for medium devices */
  }
}
/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  nav{
    padding: 0 5%;
  }
  .hidden{
    display: none;
  }
  header{
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 120px 2% 0 2%;
  align-items: center;
  }
  header h1{
    font-size: 3.5rem;
  }
.text1Header{
    display:flex;
    flex-direction: column;
    align-items: center;
    padding: 0% 2%;
  }
.text1Header p{
    font-size: 1.2rem;
  }
  .linksHeader{
    text-align: center;
  }
#services{
    padding: 0 2%;
  } 
#card-container{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    flex-direction: row;
    justify-content: space-between;
  }
.card{
    width: 48.5%;
    margin: 2% 0;
    height: 590px;
  }
.imageCard{
height: 41%;
  }
.descriptionCard{
    height: 54%;
}
.descriptionCard p{
    font-size: 1.1rem;
  }
   .descriptionCard h2{
    font-size: 1.2rem;
  }
  #reviews{
  padding: 5% 5%;
}
 .about-container img{
    width: 45%;
    margin-right: 5%;
  }
   #location{
    padding: 0 4%;
  }
    .text-conteiner {
    /* width: 100%; */
    padding-right: 3%;
    font-size: 1.1rem;
    text-align: justify;
  }
  .contact{
    width: 80%;
    margin-top: 5%;
  }
  footer{
    padding: 10% 5%;
  }
   .container-fluid{
    margin: 150px 0 150px 0;
  }
.floating-call-button {
    right: 5%; /* Adjust for large tablets */
  }
}
/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
nav{
    padding: 0 3%;
  }
.hidden{
    display: flex;
  }
.btn-menu{
    display: none;
  }
  header{  
  display: flex;
  flex-direction: row;
  width: 100%;
  margin-top: 74px;
  padding: 0 3%;
  justify-content: flex-start;
  background-position: right 40%;
  }
 header>img{
  width: 28%;
  margin:0 10px;
} 
.text1Header{
    width: 60%;
  }
 .text1Header h1{
    font-size: 2.7rem;
  }
.text1Header p{
    font-size: 1.1rem;
  }
.linksHeader{
    display: flex;
    text-align: center; 
    width: 100%;
    margin-top: 10%;
  }
.a-getQuote{
  font-size: 1.1rem;
 }
.btn-service,.btn-get-quote{
  display: inline-block; 
  width: 45%;
  font-size: 1rem;
 }
  #services{
    padding: 0 3%;
  }
  .card{
    width: 32%;
    margin: 2% 0;
    height: 500px;
  }
.descriptionCard{
    overflow-y:scroll;
   }
/* Hide scrollbar for Chrome, Safari and Opera */
.descriptionCard::-webkit-scrollbar {
    display: none;
}
/* Hide scrollbar for IE, Edge and Firefox */
.descriptionCard{
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}
.descriptionCard p{
    font-size: 1rem;
  }
.descriptionCard h2{
    font-size: 1.1rem;
  }
   #about-us{
  padding: 5% 3%;
}
 .about-container img{
    width: 45%;
    margin-right: 5%;
  }
  #location{
    padding: 0 3%;
  }
  .text-conteiner {
    font-size: 1rem;
  }  
  .contact{
    width: 39%;
    margin-top: 0%;
  }
    footer{
    padding: 5% 3%;
  }
.container-fluid{
    margin: 120px 0 150px 0;
  }
.floating-call-button {
    right: 3%; /* Default alignment for desktops */
  }
}
/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
  nav{
    padding: 0 10%;
  }
 header>img{
  width: 29%;
 } 
.text1Header h1{
    font-size: 3.5rem;
  }
.text1Header p{
    font-size: 1.4rem;
  }
.a-getQuote{
  font-size: 1.3rem;
 }
.btn-service{
  font-size: 1.2rem;
 }
#flecha{
  font-size:40px;
 }
#services{
    padding: 0 5%;
  }
.card{
    width: 31%;
    margin: 2% 0;
    height: 590px;
  }
.imageCard{
height: 50%;
}
.descriptionCard{
    height: 46%;
}
.descriptionCard p{
    font-size: 1rem;
  }
.descriptionCard h2{
    font-size: 1.1rem;
  }
   #about-us{
  padding: 5% 10%;
}
 .about-container img{
    width: 45%;
    margin-right: 5%;
  }
  #location, #reviews{
    padding: 5% 10%;
  }
  .text-conteiner {
    font-size: 1.2rem;
  }
  footer{
    padding: 5% 10%;
  }    
}
 /* XX-Large devices (larger desktops, 1400px and up)*/
@media (min-width: 1400px) {
header>img{
  width: 26%;
  margin:0 150px;
}
.text1Header{
    width: 60%;
  }
.text1Header h1{
    font-size: 4.5rem;
  }

section p{
    font-size: 1.3rem;
  }
#services{
    padding: 5% 5%;
  }
  .card{
    width: 24%;
    margin-top: 20px;
    height: 610px;
  }
  .descriptionCard p{
    font-size: 1.1rem;
  }
  .descriptionCard h2{
    font-size: 1.4rem;
  }
  section h1{
    font-size: 3rem;
  }
    #location{
    padding: 5% 10%;
  }
  .text-conteiner {
    font-size: 1.2rem;
  }
  .contact{
    width: 30%;
  } 
}





